<!doctype html>
<html>
<head>
  <title>Apendo Panitia</title>
  <link rel="stylesheet" href="#{assets '/lt17/lt17.css'/}">
  <style>
.spinner {
  margin: 100px auto;
  width: 50px;
  height: 30px;
  text-align: center;
  font-size: 10px;
}

.spinner.small {
  margin: 10px;
  width: 50px;
  height: 10px;
  text-align: center;
  font-size: 10px;
}

.spinner > div {
  background-color: #333;
  height: 100%;
  width: 6px;
  display: inline-block;
  
  -webkit-animation: stretchdelay 1.2s infinite ease-in-out;
  animation: stretchdelay 1.2s infinite ease-in-out;
}

.spinner .rect2 {
  -webkit-animation-delay: -1.1s;
  animation-delay: -1.1s;
}

.spinner .rect3 {
  -webkit-animation-delay: -1.0s;
  animation-delay: -1.0s;
}

.spinner .rect4 {
  -webkit-animation-delay: -0.9s;
  animation-delay: -0.9s;
}

.spinner .rect5 {
  -webkit-animation-delay: -0.8s;
  animation-delay: -0.8s;
}

@-webkit-keyframes stretchdelay {
  0%, 40%, 100% { -webkit-transform: scaleY(0.4) }  
  20% { -webkit-transform: scaleY(1.0) }
}

@keyframes stretchdelay {
  0%, 40%, 100% { 
    transform: scaleY(0.4);
    -webkit-transform: scaleY(0.4);
  }  20% { 
    transform: scaleY(1.0);
    -webkit-transform: scaleY(1.0);
  }
}
    </style>
</head>
<body ng-app="lt17PanitiaApp">
<nav class="navbar navbar-default navbar-fixed-top">
  <div class="container-fluid">
    <div class="navbar-header">
      <a class="navbar-brand">Apendo Panitia</a>
    </div>
    <div id="navbar" class="navbar-collapse collapse" ng-controller="UserCtrl">
      <ul class="nav navbar-nav navbar-left">
        <li><a href="#" ng-click="reload()">Reload</a></li>
      </ul>
      <ul class="nav navbar-nav navbar-right">
        <li><a ng-bind="user.name"></a></li>
        <li><a href="#" ng-click="logout()">Logout</a></li>
      </ul>
    </div>
  </div>
</nav>
<div class="container-fluid">
  <p class="text-right"><b>${namaLpse}</b></p>
</div>
<div id="tabs" class="container-fluid" ng-controller="TabsCtrl">
  <tabset>
    <!-- Informasi Lelang -->
    <tab id="informasi-lelang-tab" select="tabSelect('informasi-lelang')" ng-hide="detailShown">
      <tab-heading>
        Informasi Tender
      </tab-heading>
      <tab-pane id='informasi-lelang' ng-controller="InformasiLelangCtrl">
        <p ng-show="alerts.length > 0">&nbsp;</p>
        <alert ng-repeat="alert in alerts" type="{{alert.type}}" close="closeAlert($index)">{{alert.msg}}</alert>
        <div id="informasi-lelang-content" class="container-fluid">
          <h3>${paket?.pkt_nama}</h3>
          <table class="table table-condensed">
            <tbody>
            <tr>
              <td class="col-sm-3">
                <label>Kode Tender</label>
              </td>
              <td>
                ${lelang?.lls_id}
              </td>
            </tr>
            <tr>
              <td class="col-sm-3">
                <label>Nama Paket Tender</label>
              </td>
              <td>
                ${paket?.pkt_nama}
              </td>
            </tr>
            <tr>
              <td class="col-sm-3">
                <label>Metode Evaluasi</label>
              </td>
              <td>
                ${lelang?.evaluasi?.label}
              </td>
            </tr>
            <tr>
              <td class="col-sm-3">
                <label>Metode Dokumen</label>
              </td>
              <td>
                ${lelang?.metode?.dokumen?.label}
              </td>
            </tr>
            <tr>
              <td class="col-sm-3">
                <label>Metode Pemilihan</label>
              </td>
              <td>
                ${lelang?.pemilihan?.label}
              </td>
            </tr>
            <tr>
              <td class="col-sm-3">
                <label>Nama LPSE</label>
              </td>
              <td>
                ${namaLpse}
              </td>
            </tr>
            <tr>
              <td class="col-sm-3">
                <label>Nama K/L/PD</label>
              </td>
              <td>
                ${instansi}
              </td>
            </tr>
            <tr>
              <td class="col-sm-3">
                <label>HPS</label>
              </td>
              <td ng-bind='${paket?.pkt_hps} | rupiah'>
              </td>
            </tr>
            </tbody>
          </table>
        </div>
      </tab-pane>
    </tab>
    <!-- Peserta Tender -->
    <tab id="peserta-lelang-tab" select="tabSelect('peserta-lelang')" ng-controller="PesertaLelangCtrl" ng-hide="noPesertaLelang" ng-click="changeWorkspace()">
      <tab-heading ng-bind="detailShown ? 'Detail' : (pesertaList.length > 0 ? 'Daftar Penawaran Peserta' : 'Pembukaan Dokumen Penawaran')">
      </tab-heading>
      <tab-pane id='peserta-lelang'>
        <div id="peserta-lelang-content" class="container-fluid">
          <h3 ng-show="pesertaList.length > 0 && !detailShown">Daftar Penawaran ${paket?.pkt_nama}</h3>
          <br ng-show="detailShown" />
          <button class="btn btn-default" ng-show="detailShown" ng-click="backToList()">Kembali ke Daftar Penawaran Peserta</button>
          <div class="spinner" ng-show="processing">
            <div class="rect1"></div>
            <div class="rect2"></div>
            <div class="rect3"></div>
            <div class="rect4"></div>
            <div class="rect5"></div>
          </div>
          <p ng-show="alerts.length > 0">&nbsp;</p>
          <alert ng-repeat="alert in alerts" type="{{alert.type}}" close="closeAlert($index)">{{alert.msg}}</alert>
          <table class="table table-condensed table-noborder" ng-show="pesertaList.length > 0">
            <thead>
            <th>#</th>
            <th>Peserta</th>
            <th ng-show="needsPenawaranHarga">Harga</th>
            <th ng-show="(needsAdministrasiDanTeknis && needsSuratPenawaran)">Teknis</th>
            <th>Masa Berlaku</th>
            <th ng-show="needsHistoryPenawaran">Riwayat Penawaran</th>
            </thead>
            <tbody>
            <tr ng-repeat="peserta in pesertaList track by $index" ng-if="peserta.shown">
              <td ng-bind="($index+1) + '.'"></td>
              <td>
                <b><span ng-bind="peserta.nama"></span></b><br/>
                <span ng-bind="peserta.psrId"></span><br/>
                Email: <span ng-bind="peserta.email"></span><br/>
                No. Telepon: <span ng-bind="peserta.telpon"></span><br/>
              </td>
              <td ng-show="needsPenawaranHarga"><b ng-bind="peserta.totalHarga | rupiah"></b>
                <button class="btn btn-default" nowrap="nowrap" ng-click="showPenawaranHarga(peserta)" ng-hide="detailShown">Tampilkan Rincian</button></td>
              <td ng-show="(needsAdministrasiDanTeknis && needsSuratPenawaran)">
                <button class="btn btn-default" ng-click="download(peserta, $index, true)" ng-disabled="peserta.downloading || peserta.decrypting || downloading || (!peserta.downloaded && detailShown)" >
                  <span ng-bind="peserta.downloading ? ('Mengunduh... ' + peserta.percent) : (peserta.decrypting ? 'Mendekripsi...' : (peserta.downloaded ? 'Unduh ulang' : 'Unduh'))"></span>
                  <span ng-bind="peserta.progres" ng-hide="!peserta.downloading"></span>
                </button>
                <button class="btn btn-default" ng-click="download(peserta, $index)" ng-show="peserta.downloaded">
                  Buka
                </button>
                </button>
                <button class="btn btn-default" ng-click="listDok(peserta, $index)" ng-show="peserta.downloaded">
                  Ukuran File
                </button>
                <div class="spinner small" ng-show="peserta.downloading || peserta.decrypting">
                  <div class="rect1"></div>
                  <div class="rect2"></div>
                  <div class="rect3"></div>
                  <div class="rect4"></div>
                  <div class="rect5"></div>
                </div>
              </td>
              <td><a href="#" ng-click="showSuratPenawaran(peserta, $index)"><b ng-bind="peserta.berlaku"></b> hari kalender</a></td>
              <td><a href="#" ng-click="showHistoryPenawaran(peserta, $index)" ng-show="needsHistoryPenawaran">Riwayat</a></td>
            </tr>
            </tbody>
          </table>
          <br />
          <center ng-hide="detailShown"><button class="btn btn-default" ng-click="openDokumenPenawaran()" ng-disabled="processing || downloading || decrypting" ng-bind="bukaPenawaranLabel">Buka Dokumen Penawaran</button></center>
        </div>
      </tab-pane>
    </tab>
  </tabset>
  <div class="container-fluid" id="detail-table" ng-controller="DetailTableCtrl">
    <div ng-show="docs.length > 0">
      <p><b>Lampiran: </b></p>
      <ul>
        <li ng-repeat="doc in docs">
          <a href="#" ng-click="open(doc.href)" ng-bind="doc.name"></a>&nbsp;&nbsp;
          <a href="#" ng-click="openFileSize(doc)" ng-bind="doc.size"></a>
        </li>
      </ul>
    </div>
  </div>
  <br />
</div>
<script type="text/ng-template" id="penawaran-harga.html">
  <div class="modal-header">
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true" ng-click="close()">×</button>
    <h3 class="modal-title">Penawaran Harga <span ng-bind="peserta.nama"></span></h3>
  </div>
  <div class="modal-body">
    <div class="container-fluid">
      <div ng-show="docs.length > 0">
        <p><b>Lampiran: </b></p>
        <ul>
          <li ng-repeat="doc in docs"><a href="#" ng-click="open(doc.href)" ng-bind="doc.name"></a></li>
        </ul>
      </div>
      <div id="penawaran-harga-table"></div>
    </div>
  </div>
</script>
<script type="text/ng-template" id="surat-penawaran.html">
  <div class="modal-header">
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true" ng-click="close()">×</button>
    <h3 class="modal-title">Surat Penawaran <span ng-bind="peserta.nama"></span></h3>
  </div>
  <div class="modal-body">
    <h3 ng-bind="surat.title"></h3>
    <p style="text-align: justify;" ng-repeat="text in surat.body" ng-bind="text"></p>
  </div>
</script>
<script type="text/ng-template" id="list-dokumen.html">
  <div class="modal-header">
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true" ng-click="close()">×</button>
    <h3 class="modal-title">File Dokumen<span ng-bind="peserta.nama"></span></h3>
  </div>
  <div class="modal-body">
    <div id="listFile"></div>
    <ol>
      <li ng-repeat="list in fileList">
        <b ng-bind="list.category"></b>
        <ul>
          <li ng-repeat="file in list.files">
            <p ng-bind="file.fileName"></p>
          </li>
        </ul>
      </li>
    </ol>
  </div>
</script>
<script type="text/ng-template" id="dokumen-harga.html">
  <div class="modal-header">
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true" ng-click="close()">×</button>
    <h3 class="modal-title">Lampiran File Dokumen</h3>
  </div>
  <div class="modal-body">
    <div class="container">
      <ul>
        <li ng-repeat="doc in documents">
          <b ng-bind="doc.fileName"></b>
        </li>
      </ul>
    </div>
  </div>
</script>
<script type="text/ng-template" id="history-penawaran.html">
  <div class="modal-header">
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true" ng-click="close()">×</button>
  </div>
  <div class="modal-body">
    <table class="table table-condensed table-noborder">
      <thead>
      <th>#</th>
      <th ng-show="needsPenawaranHarga">Harga</th>
      <th ng-show="(needsAdministrasiDanTeknis && needsSuratPenawaran)">Teknis</th>
      <th>Masa Berlaku</th>
      </thead>
      <tbody>
      <tr ng-repeat="peserta in historyList track by $index">
        <td ng-bind="($index+1) + '.'"></td>
        <td ng-show="needsPenawaranHarga"><b ng-bind="peserta.totalHarga | rupiah"></b>
          <button class="btn btn-default" nowrap="nowrap" ng-click="hargaDownload(peserta, $index, true)" ng-disabled="peserta.downloading || peserta.decrypting || downloading || (!peserta.downloaded && detailShown)">Tampilkan Rincian</button></td>
        <td ng-show="(needsAdministrasiDanTeknis && needsSuratPenawaran)">
          <button class="btn btn-default" ng-click="adminTeknisdownload(peserta, $index, true)" ng-disabled="peserta.downloading || peserta.decrypting || downloading || (!peserta.downloaded && detailShown)" >
            <span ng-bind="peserta.downloading ? ('Mengunduh... ' + peserta.percent) : (peserta.decrypting ? 'Mendekripsi...' : (peserta.downloaded ? 'Unduh ulang' : 'Unduh'))"></span>
            <span ng-bind="peserta.progres" ng-hide="!peserta.downloading"></span>
          </button>
          <button class="btn btn-default" ng-click="adminTeknisdownload(peserta, $index)" ng-show="peserta.downloaded">
            Buka
          </button>
          <div class="spinner small" ng-show="peserta.downloading || peserta.decrypting">
            <div class="rect1"></div>
            <div  class="rect2"></div>
            <div class="rect3"></div>
            <div class="rect4"></div>
            <div class="rect5"></div>
          </div>
        </td>
        <td><a href="#" ng-click="showHistorySuratPenawaran(peserta, $index)"><b ng-bind="peserta.berlaku"></b> hari kalender</a></td>
      </tr>
      </tbody>
    </table>
  </div>
</script>
<div id="spamkodok-key">
  <script>
            var lelangId = "${lelang?.lls_id}";
            var user = {
                id: "${pegawai?.peg_id}",
                nip: "${pegawai?.peg_nip?.escapeJavaScript().raw()}",
                name: "${pegawai?.peg_nama?.escapeJavaScript().raw()}",
                username: "${pegawai?.peg_namauser?.escapeJavaScript().raw()}",
                email: "${pegawai?.peg_email?.escapeJavaScript().raw()}"
            };
            var token = "${access_token}";
            var isLelangExpress = "${express}";
            isLelangExpress = isLelangExpress == 'true' ? true : false;
            var privateKeys = [
                "${keyAll != null ? keyAll.replace("\r","").replace("\n","\\\n") : ""}",
                "${keyAdmTeknis != null ? keyAdmTeknis.replace("\r","").replace("\n","\\\n") : ""}",
                "${keyHarga != null ? keyHarga.replace("\r","").replace("\n","\\\n") : ""}"
            ];
            var downloadUrl = "${downloadUrl}";
            var sortUrl = "${sortUrl}";
            var penawaranHargaList = [
            #{list items:dokHargaList, as:'item'}
                {
                    id : "${item.dok_id_attachment}",
                    pesertaId : "${item.peserta.psr_id}",
                    size :"${item.dokumen?.blb_ukuran}"
                },
            #{/list}
            ];
            var administrasiDanTeknisList = [
            #{list items:dokTeknisList, as:'item'}
                {
                    id : "${item.dok_id_attachment}",
                    pesertaId : "${item.peserta.psr_id}",
                    size :"${item.dokumen?.blb_ukuran}"
                },
            #{/list}
            ];
        </script>
</div>
</body>
</html>
